*,
*::after,
*::before {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}

html {
  font-size: 14px;
}

body {
  box-sizing: border-box;
}

body {
  height: 100vh;
  display: flex;
  background: #1ac9ff;
}
h1 {
  font-family: 'Luckiest Guy', cursive;
  font-size: 64px;
  text-align: center;
  color: white;
  text-shadow: 2px 2px navy;
  display: flex;
  justify-content: center;
  align-items: flex-end;
}

.container {
  background-image: url('img/win.jpeg');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  width: 640px;
  height: 640px;
  margin: auto;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}
.card {
  background: rgb(255, 209, 112);
  width: calc(17% - 10px);
  min-width: 100px;
  height: calc(25% - 10px);
  position: relative;
  margin: auto;
  border: 5px solid rgb(255, 209, 112);
  display: flex;
}
.card:hover {
  cursor: pointer;
  border: 3px solid rgb(240, 168, 71);
}
.card p {
  font-size: 36px;
  font-family: 'Luckiest Guy', cursive;
  color: rgb(45, 197, 155);
  text-shadow: 2px 2px teal;
}

.dig_play {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-right: 200px;
}
.dig_play img {
  height: 250px;
  width: 300px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}
.play {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: center;
  align-self: center;
}
.instructions {
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1500;
  opacity: 0;
  width: 0;
  transition: all 0.8s cubic-bezier(0.68, -0.55, 0.265, 1.55);
  font-family: Arial, Helvetica, sans-serif;
  color: darkblue;
  text-align: left;
  padding-left: 10%;
}
.instructions_checkbox {
  display: none;
}
.instructions_button {
  font-family: Arial, Helvetica, sans-serif;
  color: darkblue;
  background-color: rgb(45, 197, 155);
  z-index: 2000;
  position: relative;
  text-align: center;
  cursor: pointer;
  text-transform: uppercase;
  text-decoration: none;
  border-radius: 50%;
  transition: all 0.2s;
  font-size: 1rem;
  padding: 1rem 1rem;
  border: none;
}
.instructions_background {
  position: relative;
  margin-top: -42px;
  text-align: center;
  cursor: pointer;
  text-transform: uppercase;
  text-decoration: none;
  border-radius: 50%;
  transition: all 0.2s;
  font-size: 1rem;
  padding: 1rem 1rem;
  border: none;
  background-image: radial-gradient(lightgreen, blue);
  z-index: 1000;
  transition: transform 0.8s cubic-bezier(0.86, 0, 0.07, 1);
}
.intructions_list {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  list-style: none;
  text-align: left;
  padding-left: 20%;
  width: 100%;
}
.instruction_header {
  font-size: 2rem;
  font-weight: bold;
}
.instruction_item {
  margin: 1rem;
}
.instructions_checkbox:checked ~ .instructions_background {
  transform: scale(100);
}
.instructions_checkbox:checked ~ .instructions {
  opacity: 1;
  width: 100%;
}
.instructions_icon {
  position: relative;
  margin-top: 3.5rem;
}
.instructions_icon::after {
  transform: scaleX(1.4) scaleY(1.6);
  opacity: 0;
}
.button,
.button:link,
.button:visited {
  background-color: lightgreen;
  z-index: 2000;
  text-align: center;
  cursor: pointer;
  text-transform: uppercase;
  text-decoration: none;
  display: inline-block;
  border-radius: 50%;
  transition: all 0.2s;
  font-size: 1rem;
  padding: 1rem 1rem;
  border: none;
}
.button:hover {
  transform: translateY(-0.3rem);
  box-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.2);
}
.button:hover::after {
  transform: scaleX(1.4) scaleY(1.6);
  opacity: 0;
}
.unmatched {
  background-image: url('img/towel3.png');
}
.selected {
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}
.playerMatches {
  font-family: Arial, Helvetica, sans-serif;
  text-decoration: none;
  color: #777;
  text-align: center;
}
#player1,
#player2 {
  background-color: lightgreen;
  z-index: 2000;
  text-align: center;
  text-transform: uppercase;
  text-decoration: none;
  display: inline-block;
  border-radius: 50%;
  transition: all 0.2s;
  font-size: 1rem;
  padding: 1rem 1rem;
  border: none;
  cursor: none;
}

a {
  text-decoration: none;
}
